ConstructisV2.web/Controllers/ClienteController.cs
using Constructis.Logic;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace ConstructisV2.web.Controllers
{
    public class ClienteController : Controller
    {
        // GET: Cliente/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Cliente/Create
        public ActionResult Registro()
        {
            return View();
        }

        // POST: Cliente/Create
        [HttpPost]
        public ActionResult Registro(FormCollection collection)
        {
            Boolean agregado = false;
            String msj = "Ocurrió un error al registrar el cliente";
            String nombreClaseAlerta = "alert alert-danger";
            if (collection["txtNombre"] != "" && collection["txtApellido"] != "" && collection["txtDocumento"] != "" && collection["txtDireccion"] != "" && collection["txtTelefono"] != "")
            {
                Constructora constructora = Constructora.ObtenerInstancia;

                if (constructora.BuscarCliente(collection["txtDocumento"]) == null)
                {
                    agregado = constructora.AgregarCliente(collection["txtNombre"], collection["txtApellido"], collection["txtDocumento"], collection["txtDireccion"], collection["txtTelefono"]);
                    nombreClaseAlerta = "alert alert-success";
                    msj = "El cliente ha sido registrado con éxito";
                }
            }

            ViewBag.ClaseAlerta = nombreClaseAlerta;
            ViewBag.Mensaje = msj;

            return View();
        }

        // GET: Cliente/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Cliente/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Cliente/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Cliente/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }
    }
}

ConstructisV2.web/Controllers/VentaController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Constructis.Logic;

namespace ConstructisV2.web.Controllers
{
    public class VentaController : Controller
    {
        // GET: Venta
        public ActionResult Vender()
        {
            if (!AutorizadorAcceso.Autorizado("vendedor"))
            {
                return RedirectToAction("Index", "Vendedor");
            }

            // Instancia de constructora
            Constructora constructora = Constructora.ObtenerInstancia;

            // Lista de Clientes
            ViewBag.Clientes = constructora.Clientes;

            // Lista de Edificios
            ViewBag.Edificios = constructora.Edificios;

            return View("Vender");
        }


        // Post Vender
        [HttpPost]
        public ActionResult Vender(FormCollection collection)
        {

            if (!AutorizadorAcceso.Autorizado("vendedor"))
            {
                return RedirectToAction("Index", "Vendedor");
            }

            String cliente = collection["cmbCliente"];
            String edificio = collection["cmbEdificio"];

            return RedirectToAction("FinalizadoVenta", new { cliente = cliente, edificio = edificio });
        }


        public ActionResult FinalizadoVenta(String cliente, String edificio)
        {
            if (!AutorizadorAcceso.Autorizado("vendedor"))
            {
                return RedirectToAction("Index", "Vendedor");
            }

            Constructora constructora = Constructora.ObtenerInstancia;
            ViewBag.Cliente = cliente;
            ViewBag.Edificio = edificio;
            ViewBag.Apartamentos = constructora.BuscarEdificio(edificio).ObtenerApartamentosParaVender();

            return View();
        }

        [HttpPost]
        public ActionResult FinalizadoVenta(FormCollection collection)
        {
            if (!AutorizadorAcceso.Autorizado("vendedor"))
            {
                return RedirectToAction("Index", "Vendedor");
            }

            // Instancia de constructora
            Constructora constructora = Constructora.ObtenerInstancia;
            String msj = "No se ha podido vender, revise los campos del formulario";
            String cls = "alert-danger";

            if (collection["txtCliente"] != "" && collection["txtEdificio"] != "" && collection["cmbApartamento"] != "")
            {
                String edificio = collection["txtEdificio"];
                int piso = int.Parse(collection["cmbApartamento"].Split(':')[1].Split(' ')[1]);
                int numero = int.Parse(collection["cmbApartamento"].Split(':')[2].Split(' ')[1]);
                String vendedor = Session["nombre"] as String;

                Venta venta = new Venta()
                {
                    Cliente = constructora.BuscarCliente(collection["txtCliente"]),
                    Vendedor = constructora.BuscarVendedor(vendedor),
                    Apartamento = constructora.BuscarApartamentoEnEdificio(edificio, piso, numero),
                    FechaVenta = DateTime.Today

                };

                // Se setea en true la variable vendido para que no se pueda vender mas
                constructora.BuscarApartamentoEnEdificio(edificio, piso, numero).Vendido = true;

                // Se agrega la venta a la lista de ventas
                constructora.Ventas.Add(venta);

                msj = "Se ha vendido el apartamento";
                cls = "alert-success";
            }

            ViewBag.Vendido = msj;
            ViewBag.Clase = cls;

            return View();
        }

    }
}

ConstructisV2.web/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="es-uy">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Constructis V2</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,600" rel="stylesheet">
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
</head>
<body>

    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <div class="navbar-brand navbar-brand-centered">
                    <span class="glyphicon glyphicon-home"></span>
                    Constructis v2
                </div>
            </div>
            @if (Session["rol"] as string == "vendedor")
            {
                <div class="navbar-collapse collapse" id="navbar-brand-centered">
                    <!--Menu principal-->
                    <ul class="nav navbar-nav">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                Clientes
                                <span class="caret" style="border-top-color: #FFF; border-bottom-color: #FFF;"></span>
                            </a>
                            <ul class="dropdown-menu" role="menu">
                                <li>
                                    <a href="@Url.Action("ListaCompradores", "Vendedor")">Listado de compradores entre fechas</a>
                                    <a href="@Url.Action("Registro", "Cliente")">Nuevo cliente</a>
                                    <a href="@Url.Action("ListaClientes","Vendedor")">Listar Clientes</a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                Ventas
                                <span class="caret" style="border-top-color: #FFF; border-bottom-color: #FFF;"></span>
                            </a>
                            <ul class="dropdown-menu" role="menu">
                                <li>
                                    <a href="@Url.Action("ListaVentas", "Vendedor")">Listado de ventas</a>
                                    <a href="@Url.Action("Vender", "Venta")">Vender apartamento</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                    <ul class="nav navbar-nav navbar-right">
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false">
                                @Session["nombre"]
                                <span class="caret" style="border-top-color: #FFF; border-bottom-color: #FFF;"></span>
                            </a>

                            <ul class="dropdown-menu" role="menu">
                                <li>
                                    <a href="@Url.Action("CerrarSesion", "Vendedor")">Cerrar sesi&oacute;n</a>
                                </li>
                            </ul>

                        </li>
                    </ul>
                    }
                </div>
            }
        </div>
    </div>
    <p>&nbsp;</p>
    <div class="container body-content">
        @RenderBody()
    </div>
    @RenderSection("Scripts", required: false)
</body>
</html>